> For the complete documentation index, see [llms.txt](https://docs.flowretail.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flowretail.com/docs/developers/api-documentation/order/update-sales-order-reservations.md).

# Update sales order reservations

Set reservationType on order items to be reserved on a warehouse or a purchaseorder. Use PURCHASE\_ORDER\_CONFIRMED to mark order items as '`Purchase order created in external system`'

Required permissions: SALES\_ORDER,RETURN\_ORDER,PURCHASE\_ORDER

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Order","description":"Order"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"OrderItemsReservationUpdateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderItemsReservationUpdateSchema"}}}}},"schemas":{"OrderItemsReservationUpdateSchema":{"title":"OrderItemsReservationUpdateSchema","type":"object","required":["reservationType","orders"],"properties":{"uid":{"description":"The uid must be warehouseUid if the reservationType is `WAREHOUSE`, purchaseOrderItemUid if it is `PURCHASEORDER` and receivementItemUid if it is `PURCHASEORDER_CONFIRMED`","$ref":"#/components/schemas/UID"},"reservationType":{"type":"string","enum":["WAREHOUSE","PURCHASEORDER","PURCHASEORDER_CONFIRMED"]},"orders":{"description":"A list of all the orders with order items that should be marked as ready for delivery","type":"array","items":{"$ref":"#/components/schemas/OrderItemUpdateReservationSchema"}}},"description":"If reservationType == WAREHOUSE, uid must have a value pointing to a legal warehouseUid.\nIf reservationType == PURCHASE, uid must have a value pointing to a legal purchase order."},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"OrderItemUpdateReservationSchema":{"title":"OrderItemUpdateReservationSchema","type":"object","required":["orderUid","orderItemUid"],"properties":{"orderUid":{"$ref":"#/components/schemas/UID"},"orderItemUid":{"$ref":"#/components/schemas/UID"}}}}},"paths":{"/tenants/{tenantUid}/orders/reservations":{"post":{"summary":"Update sales order reservations","tags":["Order"],"responses":{"204":{"description":"No Content"}},"operationId":"post-tenants-orders-reservations","description":"Set reservationType on order items to be reserved on a warehouse or a purchaseorder.\nUse PURCHASE_ORDER_CONFIRMED to mark order items as '`Purchase order created in external system`'\n\nRequired permissions: SALES_ORDER,RETURN_ORDER,PURCHASE_ORDER\n","requestBody":{"$ref":"#/components/requestBodies/OrderItemsReservationUpdateRequest"}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flowretail.com/docs/developers/api-documentation/order/update-sales-order-reservations.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
